/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

import { Table } from './Table';

export class Database {
  public tables: Array<Table> = [];

  public get_table (name: string): Table|null {
    for (const table of this.tables) {
      if (table.name === name)
        return table;
    }

    return null;
  }
}
